
Redmine - Defect #7464

Not all items are translated into Russian in New Issue page

2011-01-27 10:17 - Natalia Zolotukhina

Status: Closed Start date: 2011-01-26

Priority: Normal Due date:  

Assignee: Azamat Hackimov % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.0

Description

Steps to reproduce:

1. Create a new account with Language=Russian on http://demo.redmine.org/ and sign in.

2. Create a new project and hit save.

3. Choose New Issue.

Expected Result: All items in every drop-down menu should be translated into Russian.

Actual Result: Items of Tracker, Status and Priority are in English.

Related issues:

Related to Redmine - Patch #7469: Adds some strings into ru.yml - Defect #7464 Closed 2011-01-27

Associated revisions

Revision 5743 - 2011-05-12 00:59 - Toshi MARUYAMA

Russian "default_issue_status_rejected" and "default_tracker_feature" changed (#7469, #7464).

Contributed by Dmitry Babenko.

History

#1 - 2011-01-27 10:41 - Andy Bolstridge

My recommendation is to provide the correct translations yourself - you could even update the necessary files and submit them back to the project

(they are in the repository in the /config/locales/ directory, you'll want ru.yml - for redmine 1.1 there appear to be a few additional strings added that do

not yet have a russian translation).

I'm not sure about submitting the changes back, but you could add the changes as a patch to this bug and I'm sure someone will apply it for the next

release.

#2 - 2011-01-27 11:00 - Andy Bolstridge

Found this:

http://www.redmine.org/projects/redmine/wiki/HowTo_translate_Redmine_in_your_own_language

#3 - 2011-01-27 14:15 - Natalia Zolotukhina

- File ru.yml added

I'm by far and away distant from development and was not able to create a patch file so please add these strings to the whole ru.yml file. I hope this

will help :)

#4 - 2011-01-28 20:46 - Jean-Philippe Lang

I don't see any string in your attachement.

#5 - 2011-01-28 20:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Closing this in favour of #7469.

Files

ru.yml 820 Bytes 2011-01-27 Natalia Zolotukhina
